package com.jeeplus.modules.ruralprojectrecords.dao;

import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.ruralprojectrecords.entity.RuralProjectRecords;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@MyBatisDao
public interface RuralWorkProjectUserDao {

    public void batchInsert(Map map);

    public void deleteProjectMembers(@Param("projectId") String projectId, @Param("isMaster") String isMaster);
    public List<User> isDelFalg(@Param("projectId") String projectId, @Param("delFlag") String delFlag);
    public int insertUsers(RuralProjectRecords records);
    public int deleteUsers(RuralProjectRecords records);

    List<User> queryProjectUsers(@Param("projectId") String projectId, @Param("isMaster") String isMaster);
    List<User> projectUsers(@Param("projectId") String projectId);
    List<User> queryAllProjectUsers(@Param("projectId") String projectId);
    void deleteProjectMasterMembers(HashMap<String, Object> map);

    int reInsertUser(RuralProjectRecords projectRecords);
//    int reInsertUser(@Param("projectId")String projectId,@Param("userId")String userId);
}
